Delete unit
curl --request DELETE \
--url https://app.azalt.co/api/v1/units/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.azalt.co/api/v1/units/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.azalt.co/api/v1/units/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"organizationId": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Unit
Delete unit
Delete a measurement unit from the organization.
This operation will fail if the unit is currently in use by any form elements, indicators, or has associated data. Consider using the merge operation to consolidate units before deletion.
DELETE
/
units
/
{id}
Delete unit
⌘I

